#include "cyc_cnt.h"
#include "leds.h"

volatile int data[100];

void delay()
{
  unsigned int start = cyc_cnt_read();
  while (cyc_cnt_read() - start < 10000000)
    /* wait */;
}

int main()
{
  unsigned int i;

  for (i = 0; i < sizeof(data) / sizeof(data[0]); ++i)
    data[i] = i;

  while (1) {
    for (i = 0x1; i < 0x80; i <<= 1) {
      leds_set_state(i);
      delay();
    }
    for (i = 0x80; i > 0x1; i >>= 1) {
      leds_set_state(i);
      delay();
    }
  }

  return 0;
}

